'''
 Plots image data from a file, the data should look like

 x1 y1 z1
 x2 y2 z2
 ...

 Usage:
 python plot_image.py datafile
'''

from sys import argv
from pylab import *

data = [map(float,line.split(' ')) for line in open(argv[1])]
X,Y,Z = zip(*data)

# Tidy up the data, must be equally spaced!
nx, ny = len(set(X)), len(set(Y))
Z = array(Z).reshape(nx,ny)
imshow(Z, extent = [min(X),max(X),min(Y),max(Y)])
show()
